PMindex {tilingArray} | R Documentation

## Find the index of the exact match (PM) or background probes from a probeAnno environment

### Description

Find the index of the exact match (PM) or background probes from a probeAnno environment

### Usage

    PMindex(probeAnno)
    BGindex(probeAnno)

### Arguments

`probeAnno` | environment with probe annotations. See package `davidTiling` for an example (?probeAnno).

### Details

These functions extract the exact match probes (PM) or background probes (from intergenic regions outside of known annotations) indices from `probeAnno`. These indices can be used to select the relevant rows of intensity data from the `ExpressionSet` object for plotting and normalization.

### Value

Numeric vector of indices.

### Author(s)

Matt Ritchie <ritchie@ebi.ac.uk>

### Examples

    ## library(davidTiling)
    ## data(davidTiling)
    ## data(probeAnno)
    ## pmind <- PMindex(probeAnno)
    ## mmind <- MMindex(probeAnno)
    ## bgind <- BGindex(probeAnno)
    ## boxplot(as.data.frame(log2(exprs(davidTiling))[pmind,]), outline=FALSE)

[Package tilingArray version 1.22.0 Index]